## nvidia-graphics-drivers-tesla-450 450.191.01

=== debian/changelog ===
nvidia-graphics-drivers-tesla-450 (450.191.01-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 24 Jun 2022 13:00:01 -0700

nvidia-graphics-drivers-tesla-450 (450.191.01-2) unstable; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask, acpi_bus_get_device
    and cc_mkdec changes from 470.129.06 to fix kernel module build for
    Linux 5.18.  (Closes: #1013130)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jun 2022 10:28:25 +0200

nvidia-graphics-drivers-tesla-450 (450.191.01-1) unstable; urgency=medium

  * New upstream Tesla release 450.191.01 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28185, CVE-2022-28192. (Closes: #1011144)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353

  [ Andreas Beckmann ]
  * Refresh patches.
  * Bump Standards-Version to 4.6.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 May 2022 18:48:35 +0200

nvidia-graphics-drivers-tesla-450 (450.172.01-3) unstable; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.  (Closes: #976901)
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.  (Closes: #1009740)
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Apr 2022 22:28:22 +0200

nvidia-graphics-drivers-tesla-450 (450.172.01-2~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 16:53:36 +0100

nvidia-graphics-drivers-tesla-450 (450.172.01-2) unstable; urgency=medium

  * Add xorg-video-abi-25 (Xorg Xserver 21) as alternative dependency.
    (Closes: #1005932)
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Feb 2022 21:03:12 +0100

nvidia-graphics-drivers-tesla-450 (450.172.01-1) unstable; urgency=medium

  * New upstream Tesla release 450.172.01 (2022-01-31).
    * Fixed CVE‑2022‑21813, CVE‑2022‑21814.  (Closes: #1004851)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5312
    - Fixed a bug that caused nvidia-drm.ko to crash when loading with
      DRM-KMS enabled (modeset=1) on Linux v5.14.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * nvidia-tesla-450-kernel-support: Provide
    /etc/modprobe.d/nvidia-options.conf as a template taking into account the
    module renaming. This is a slave alternative of the nvidia alternative
    (470.86-1).  (Closes: #999670)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Feb 2022 01:35:04 +0100

nvidia-graphics-drivers-tesla-450 (450.156.00-1) unstable; urgency=medium

  * New upstream Tesla release 450.156.00 (2021-10-26).
    - Fixed a bug that could cause the /proc/driver/nvidia/suspend power
      management interface to fail to preserve and restore video memory
      allocations when the NVreg_TemporaryFilePath module parameter for
      nvidia.ko specified an invalid path.

  [ Andreas Beckmann ]
  * bug-script: Show the nvidia and glx alternatives (470.82.00-1).
  * nvidia-tesla-450-alternative: libnvidia-cfg.so.1 on its own is not
    sufficient to activate a nvidia alternative (470.82.00-1).
    (Closes: #996595)
  * Fix bashisms in upstream scripts (470.82.00-1).
  * Drop the unusable leftover non-GLVND libegl1-nvidia-tesla-450 package
    (470.82.00-1).
  * nvidia-tesla-450-alternative: Drop unused non-GLVND slave links
    (470.82.00-1).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Nov 2021 12:11:07 +0100

nvidia-graphics-drivers-tesla-450 (450.142.00-2) unstable; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.
  * Generate tight dependencies on libnvidia*-glcore/libnvidia*-eglcore
    (470.57.02-3).
  * Bump Standards-Version to 4.6.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Sep 2021 12:19:13 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-6) unstable; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask and acpi_bus_get_device
    changes from 470.129.06 to fix kernel module build for Linux 5.18.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jun 2022 14:36:25 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-5) unstable; urgency=medium

  * Backport linker scripts changes from 510.60.02.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 May 2022 13:17:00 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-4) unstable; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 16:03:48 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-3) unstable; urgency=medium

  * The Tesla 418 driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://docs.nvidia.com/datacenter/tesla/drivers/

  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 18:44:57 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-2) unstable; urgency=medium

  * Backport stdarg.h and stddef.h changes from 495.44 to fix kernel module
    build for Linux 5.16.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.  (Closes: #1005405)

