## nvidia-graphics-drivers-tesla-450 450.203.03

=== debian/changelog ===
nvidia-graphics-drivers-tesla-450 (450.203.03-1~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Sep 2022 22:21:30 +0200

nvidia-graphics-drivers-tesla-450 (450.203.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 09:58:52 +0200

nvidia-graphics-drivers-tesla-450 (450.203.03-1) unstable; urgency=medium

  * New upstream Tesla release 450.203.03 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615. (Closes: #1016618)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Refresh patches.
  * Drop references to kernel-package and make-kpkg, gone since stretch
    (470.141.03-1).
  * Overhaul build-module-packages.sh (470.141.03-1).
  * Add module-assistant based autopkgtest for the *-source package
    (470.141.03-1).
  * Simplify changelog management for the *-source package (470.141.03-1).
  * Copy the Source stanza from d/control to the module control file
    (470.141.03-1).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Aug 2022 00:14:36 +0200

nvidia-graphics-drivers-tesla-450 (450.191.01-2~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Jul 2022 09:01:04 +0200

nvidia-graphics-drivers-tesla-450 (450.191.01-2~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Jul 2022 13:57:27 +0200

nvidia-graphics-drivers-tesla-450 (450.172.01-2~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Mar 2022 19:43:39 +0200

nvidia-graphics-drivers-tesla-450 (450.142.00-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 15:41:51 +0200

nvidia-graphics-drivers-tesla-450 (450.119.04-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Jun 2021 10:31:31 +0200

nvidia-graphics-drivers-tesla-450 (450.119.03-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Apr 2021 16:11:33 +0200

nvidia-graphics-drivers-tesla-450 (450.102.04-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Feb 2021 16:01:34 +0100

nvidia-graphics-drivers-tesla-450 (450.51.06-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Sep 2020 21:48:09 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-7) unstable; urgency=medium

  * Backport nv_install_notifier and dma_resv_add_fence changes from
    450.203.03 to fix kernel module build for Linux 5.19.
  * Refresh patches.
  * Drop references to kernel-package and make-kpkg, gone since stretch
    (470.141.03-1).
  * Overhaul build-module-packages.sh (470.141.03-1).
  * Add module-assistant based autopkgtest for the *-source package
    (470.141.03-1).
  * Simplify changelog management for the *-source package (470.141.03-1).
  * Copy the Source stanza from d/control to the module control file
    (470.141.03-1).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Aug 2022 18:27:25 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-6~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Jul 2022 10:50:17 +0200

nvidia-graphics-drivers (418.226.00-3) buster; urgency=medium

  * The Tesla 418 driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://docs.nvidia.com/datacenter/tesla/drivers/

  * Generate tight dependencies on libnvidia*-glcore/libnvidia*-eglcore
    (470.57.02-3).
  * bug-script: Show the nvidia and glx alternatives (470.82.00-1).
  * nvidia-alternative: libnvidia-cfg.so.1 on its own is not
    sufficient to activate a nvidia alternative (470.82.00-1).
    (Closes: #996595)
  * Fix bashisms in upstream scripts (470.82.00-1).
  * libegl1-mesa is a transitional package since buster (470.82.00-1).
  * nvidia-kernel-support: Provide
    /etc/modprobe.d/nvidia-options.conf as a template taking into account the
    module renaming. This is a slave alternative of the nvidia alternative
    (470.86-1).  (Closes: #999670)
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Aug 2022 10:41:33 +0200

nvidia-graphics-drivers (390.154-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.154 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Aug 2022 11:32:14 +0200
