=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-tesla-450
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla-450/master
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
 dh-exec,
 libvulkan1 (>= 1.0.42),
 libxext6,
 po-debconf,
 quilt,
 xz-utils,
 libglvnd-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://www.nvidia.com
Testsuite: autopkgtest-pkg-dkms
XS-Autobuild: yes

Package: nvidia-tesla-450-driver
Section: non-free/x11
Architecture: amd64 arm64 ppc64el
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 lib${nvidia}-cfg1 (= ${binary:Version}),
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-driver-any,
 nvidia-glx-any,
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-450-alternative
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: foreign
Pre-Depends:
 dpkg (>= 1.17.21),
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 glx-alternative-nvidia (>= 1.2),
 ${misc:Depends}
Provides:
 nvidia-alternative-any,
 ${nvidia}-alternative--kmod-alias,
Conflicts:
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Breaks:
 nvidia-tesla-alternative (>> 0),
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: nvidia-tesla-450-kernel-support
Section: non-free/kernel
Architecture: amd64 arm64 ppc64el
Multi-Arch: foreign
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia}-alternative--kmod-alias,
 nvidia-kernel-common (>= 20151021),
 nvidia-modprobe (>= ${nvidia:Version:major}),
 ${misc:Depends}
Provides:
 nvidia-kernel-support-any,
 ${nvidia}-kernel-support--v1,
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-tesla-450-kernel-dkms
Section: non-free/kernel
Architecture: amd64 arm64 ppc64el
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia}-kernel-support--v1,
 ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version})
 | ${libcuda1} (>= ${nvidia:Version}),
Provides:
 ${nvidia}-kernel-${nvidia:Version},
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-450-kernel-source
Section: non-free/kernel
Architecture: amd64 arm64 ppc64el
Depends:
 debhelper-compat (= ${nvidia:debhelper-compat}),
 quilt,
 ${misc:Depends}
Recommends:
 module-assistant,
 ${nvidia}-kernel-support--v1,
Suggests:
 ${nvidia}-driver (>= ${nvidia:Version}),
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia}-kernel-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia}-kernel-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-tesla-450
Section: non-free/x11
Architecture: amd64 arm64 ppc64el
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support,
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-tesla-450-driver-bin
Section: non-free/x11
Architecture: amd64 arm64 ppc64el
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-tesla-450-cfg1
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg.so.1 (= ${nvidia:Version}),
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: nvidia-tesla-450-driver-libs
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
 ${nvidia}-egl-icd (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs:i386 (= ${binary:Version}) [amd64],
 libopengl0 | libopengl0-glvnd-nvidia,
 libglx-${nvidia-}0 (= ${binary:Version}),
 libgles-${nvidia-}1 (= ${binary:Version}),
 libgles-${nvidia-}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:arch:has-driver}],
 lib${nvidia}-encode1 (= ${binary:Version}),
 ${nvidia}-vulkan-icd (= ${binary:Version}),
Provides:
 nvidia-driver-libs-any,
Conflicts:
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
 libgl1-${nvidia}-glx-i386,
Breaks:
 ${nvidia}-driver-libs-nonglvnd,
 libgl1-${nvidia}-glx,
 libegl1-${nvidia},
 ${nvidia}-nonglvnd-vulkan-icd,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: libglx-nvidia-tesla-450-0
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libglx0 | libglx0-glvnd-nvidia,
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libglx-vendor,
Description: NVIDIA binary GLX library${nvidia:VariantDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary GLX implementation by NVIDIA
 that is accessed via GLVND.

Package: libgl1-nvidia-tesla-450-glvnd-glx
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Depends:
 libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
 libglx-${nvidia-}0 (= ${binary:Version}),
 ${misc:Depends}
Provides:
 libgl1-nvidia-glx-any,
Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glvnd-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This metapackage depends on the NVIDIA binary OpenGL/GLX implementation using
 GLVND and the corresponding GLVND loader library.

Package: libnvidia-tesla-450-glcore
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-glcore-${nvidia:Version},
Conflicts:
 libnvidia-glcore-${nvidia:Version},
Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the private core libraries used by the NVIDIA
 implementation of OpenGL and GLX.

Package: libegl-nvidia-tesla-450-0
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
